import java.util.ArrayList;
import java.util.Iterator;
import java.util.Scanner;

public class FM_320210928201_赵严昊天 {

   public static void main(String[] var0) {
      SatelliteManager var1 = new SatelliteManager();
      Scanner var2 = new Scanner(System.in);

      while(true) {
         while(true) {
            printMenu();
            int var3 = var2.nextInt();
            var2.nextLine();
            switch(var3) {
            case 1:
               displaySatellites(var1.getSatellites());
               break;
            case 2:
               System.out.println("请输入创建卫星的信息:");
               var1.addSatellite(createSatellite(var2));
               break;
            case 3:
               System.out.println("请输入要删除的卫星的ID:");
               String var4 = var2.nextLine();
               var1.deleteSatellite(var4);
               break;
            case 4:
               System.out.println("请输入要激活的卫星的ID:");
               String var5 = var2.nextLine();
               var1.activateSatellite(var5);
               break;
            case 5:
               System.out.println("请输入要封锁的卫星的ID:");
               String var6 = var2.nextLine();
               var1.blockSatellite(var6);
               break;
            case 6:
               displaySatellites(var1.getBlockedSatellites());
               break;
            case 7:
               System.out.println("请输入要查找的卫星名称的关键词:");
               String var7 = var2.nextLine();
               displaySatellites(var1.searchSatelliteByName(var7));
               break;
            case 8:
               System.out.println("请输入要更新的卫星的ID:");
               String var8 = var2.nextLine();
               Satellite var9 = createSatellite(var2);
               var1.updateSatellite(var8, var9);
               break;
            case 9:
               System.out.println("谢谢使用飞马卫星管理系统！");
               System.exit(0);
               break;
            default:
               System.out.println("无效的选项，请重新输入。");
            }
         }
      }
   }

   public static void printMenu() {
      System.out.println("************************************");
      System.out.println("1-----显示当前活动卫星列表");
      System.out.println("2-----注册新卫星");
      System.out.println("3-----删除旧卫星");
      System.out.println("4-----激活卫星");
      System.out.println("5-----封锁卫星");
      System.out.println("6-----显示失活卫星列表");
      System.out.println("7-----按名称模糊查找卫星");
      System.out.println("8-----更新卫星信息");
      System.out.println("9-----退出");
      System.out.println("************************************");
      System.out.print("请输入你想要的操作: ");
   }

   public static void displaySatellites(ArrayList var0) {
      System.out.println("COSPARID\t\t卫星名称 轨道半径 是否可用");
      Iterator var1 = var0.iterator();

      while(var1.hasNext()) {
         Satellite var2 = (Satellite)var1.next();
         System.out.println(var2.getID() + "\t\t\t" + var2.getName() + " " + var2.getGps() + "\t  " + var2.getFlag());
      }

   }

   public static Satellite createSatellite(Scanner var0) {
      System.out.print("请输入COSPARID: ");
      String var1 = var0.nextLine();
      System.out.print("请输入卫星名称: ");
      String var2 = var0.nextLine();
      System.out.print("请输入轨道半径: ");
      double var3 = var0.nextDouble();
      var0.nextLine();
      System.out.print("是否激活 (true/false): ");
      boolean var5 = var0.nextBoolean();
      var0.nextLine();
      return new Satellite(var1, var2, var3, var5);
   }
}
